<?php
/**
 * Typecho博客萌物 - 浮动小人
 * 
 * @package Pet
 * @author 清馨雅致(Min)
 * @version 1.0.1
 * @link http://minwenlsm.pw
 */
class Pet_Plugin implements Typecho_Plugin_Interface
{
    /**
     * 激活插件方法,如果激活失败,直接抛出异常
     * 
     * @access public
     * @return void
     * @throws Typecho_Plugin_Exception
     */
    public static function activate()
    {
        Typecho_Plugin::factory('Widget_Archive')->header = array('Pet_Plugin', 'header');
        Typecho_Plugin::factory('Widget_Archive')->footer = array('Pet_Plugin', 'footer');
    }
    
    /**
     * 禁用插件方法,如果禁用失败,直接抛出异常
     * 
     * @static
     * @access public
     * @return void
     * @throws Typecho_Plugin_Exception
     */
    public static function deactivate(){}
   
    /**
     * 获取插件配置面板
     * 
     * @access public
     * @param Typecho_Widget_Helper_Form $form 配置面板
     * @return void
     */
    public static function config(Typecho_Widget_Helper_Form $form){}
    
    /**
     * 个人用户的配置面板
     * 
     * @access public
     * @param Typecho_Widget_Helper_Form $form
     * @return void
     */
    public static function personalConfig(Typecho_Widget_Helper_Form $form){}
    
    /**
     * 输出头部css
     * 
     * @access public
     * @return void
     */
    public static function header(){
        $cssUrl = Helper::options()->pluginUrl . '/Pet/css/Pet.css';
        
        $isIndex = Typecho_Widget::widget('Widget_Archive')->is('index') ? 'true' : 'false';
        $visitor = Typecho_Widget::widget('Widget_User')->screenName;
        
        if(Typecho_Widget::widget('Widget_Archive')->is('single')){
            $title = Typecho_Widget::widget('Widget_Archive')->title;
        }elseif (Typecho_Widget::widget('Widget_Archive')->is('archive')){
            $title = Typecho_Widget::widget('Widget_Archive')->getArchiveTitle();
        }else{
            $title = Typecho_Widget::widget('Widget_Options')->title;
        }
        echo '<link rel="stylesheet" type="text/css" href="' . $cssUrl . '" />';
        echo '<script>window.isIndex = '. $isIndex .';window.visitor = "'. $visitor .'";window.title = "'. $title .'";</script>';
    }
    /**
     * 输出底部
     * 
     * @access public
     * @return void
     */
    public static function footer(){
        $jsUrl = Helper::options()->pluginUrl . '/Pet/js/Pet.js';
        $js1Url = Helper::options()->pluginUrl . '/Pet/js/hitokoto.js';
        $imgUrl = Helper::options()->pluginUrl . '/Pet/img/Pet.png';
        echo '<div id="pet" class="pet"> <div id="message">加载中……</div> <div id="mumu" class="mumu"></div> </div>' . "\n";
        echo '<span class="hitokoto" id="hitokoto" style="display:none">Loading...</span> <div id="hjsbox" style="display:none"> </div>' . "\n";
        echo '<script type="text/javascript" src="'.$jsUrl.'"></script>' . "\n";
        echo '<script type="text/javascript" src="'.$js1Url.'"></script>' . "\n";
    }

}